.image-preview-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    margin: 0 auto;
    height: 100%;
}

.image-preview-container img {
    width: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
    height: 100%;
}

.image-preview-container img:hover {
    transform: scale(1.05);
    cursor: pointer;
}

.modal-body img {
    width: 100%;
    height: 80vh;
    object-fit: contain;
    user-select: none;
}